跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 21.11.0, which is no longer the latest release. See the latest release.

Edit an organization

PATCH
/orgs/{org}
curl --request PATCH \
--url https://gitea.example.com/api/v1/orgs/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "email": "example", "full_name": "example", "location": "example", "repo_admin_change_team_access": true, "visibility": "public", "website": "example" }'
org
required
string

Name of the organization to edit

Media typeapplication/json

EditOrgOption options for editing an organization

object
description
string
email
string
full_name
string
location
string
repo_admin_change_team_access
boolean
visibility

Possible values are public, limited or private

string
Allowed values: public limited private
website
string

Organization

Media typeapplication/json

Organization represents an organization

object
avatar_url
string
description
string
email
string
full_name
string
id
integer format: int64
location
string
name
string
repo_admin_change_team_access
boolean
username

Deprecated

string
visibility
string
website
string
Examplegenerated
{
"avatar_url": "example",
"description": "example",
"email": "example",
"full_name": "example",
"id": 1,
"location": "example",
"name": "example",
"repo_admin_change_team_access": true,
"username": "example",
"visibility": "example",
"website": "example"
}

APINotFound is a not found empty response

Media typeapplication/json